> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all accounts.

> Get detailed information about all accounts that the current user has permission to see.

## OpenAPI

````json GET /v1/accounts
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/accounts": {
      "get": {
        "tags": [
          "Accounts"
        ],
        "summary": "Get all accounts.",
        "description": "Get detailed information about all accounts that the current user has permission to see.",
        "operationId": "getAccounts",
        "x-auth-resource": "UserAuth,Reader,Writer,Manager",
        "parameters": [
          {
            "name": "scope",
            "in": "query",
            "description": "Specify the scope from which to get the accounts. Possible options: USER, SYSTEM.",
            "required": false,
            "type": "string"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum numbers of accounts to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "previous_id",
            "in": "query",
            "description": "Id of account from previous page of results.",
            "required": false,
            "type": "string",
            "format": "uuid"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "All account details for the current user.",
            "schema": {
              "$ref": "#/definitions/AccountListResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

